---------------------
PatchSet 1438 
Date: 2005/06/01 16:57:54
Author: rmartinez
Branch: squid3-ipv6
Tag: (none) 
Log:
Ordinary changes. However SNMP support will not be ready for IPv6-HEAD merge

Members: 
	src/snmp_core.cc:1.10.8.2->1.10.8.3 

Index: squid3/src/snmp_core.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/snmp_core.cc,v
retrieving revision 1.10.8.2
retrieving revision 1.10.8.3
diff -u -r1.10.8.2 -r1.10.8.3
--- squid3/src/snmp_core.cc	25 Apr 2005 13:43:14 -0000	1.10.8.2
+++ squid3/src/snmp_core.cc	1 Jun 2005 16:57:54 -0000	1.10.8.3
@@ -1,6 +1,6 @@
 
 /*
- * $Id: snmp_core.cc,v 1.10.8.2 2005/04/25 13:43:14 rmartinez Exp $
+ * $Id: snmp_core.cc,v 1.10.8.3 2005/06/01 16:57:54 rmartinez Exp $
  *
  * DEBUG: section 49    SNMP support
  * AUTHOR: Glenn Chisholm
@@ -378,7 +378,7 @@
         debug(1, 1) ("Accepting SNMP messages on port %d, FD %d.\n",
                      (int) port, theInSnmpConnection);
 
-        if (Config.Addrs.snmp_outgoing.s_addr != no_addr.s_addr) {
+        if (!ADDR_EQUALS(Config.Addrs.snmp_outgoing, no_addr)) {
             enter_suid();
             theOutSnmpConnection = comm_open(SOCK_DGRAM,
                                              IPPROTO_UDP,
@@ -418,7 +418,7 @@
             debug(51, 1) ("theOutSnmpConnection FD %d: getsockname: %s\n",
                           theOutSnmpConnection, xstrerror());
         else
-            theOutSNMPAddr = xaddr.sin_addr;
+	    theOutSNMPAddr = ADDR_FROM_SA(xaddr);
     }
 }
 
@@ -500,7 +500,7 @@
         debug(49, 3) ("snmpHandleUdp: FD %d: received %d bytes from %s.\n",
                       sock,
                       len,
-                      INET_NTOA(from.sin_addr));
+                      SA_NTOA(from));
 
         snmp_rq = (snmp_request_t *)xcalloc(1, sizeof(snmp_request_t));
         snmp_rq->buf = (u_char *) buf;
@@ -554,7 +554,7 @@
         snmpConstructReponse(rq);
     } else {
         debug(49, 1) ("Failed SNMP agent query from : %s.\n",
-                      INET_NTOA(rq->from.sin_addr));
+                      SA_NTOA(rq->from));
         snmp_free_pdu(PDU);
     }
 
@@ -878,12 +878,12 @@
         host_addr = INET_NTOA(*laddr);
         last_addr = (char *)xmalloc(strlen(host_addr));
         strncpy(last_addr, host_addr, strlen(host_addr));
-        current_addr = INET_NTOA(peers->in_addr.sin_addr);
+        current_addr = SA_NTOA(peers->in_addr);
 
         while ((peers) && (strncmp(last_addr, current_addr, strlen(current_addr)))) {
             if (peers->next) {
                 peers = peers->next;
-                current_addr = INET_NTOA(peers->in_addr.sin_addr);
+                current_addr = SA_NTOA(peers->in_addr);
             } else {
                 peers = NULL;
             }
